Bug 1907389 - python-descartes: FTBFS in Fedora rawhide
Summary: python-descartes: FTBFS in Fedora rawhide
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-descartes
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-14 12:09 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-14 12:09:35 UTC
Description of problem:
Package python-descartes fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
1.1.0-16.fc33

Steps to Reproduce:
koji build --scratch f34 python-descartes-1.1.0-16.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-descartes

FAIL
test_patch (descartes.tests.GeoInterfacePolygonTestCase) ... FAIL
test_patch (descartes.tests.JSONMultiPolygonTestCase) ... FAIL
test_patch (descartes.tests.JSONPolygonTestCase) ... FAIL
test_patch (descartes.tests.MultiPolygonTestCase) ... FAIL
test_patch (descartes.tests.PolygonTestCase) ... FAIL

======================================================================
FAIL: test_patch (descartes.tests.GeoInterfaceMultiPolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 95, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 330)
AssertionError: False is not true

======================================================================
FAIL: test_patch (descartes.tests.GeoInterfacePolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 48, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 198)
AssertionError: False is not true

======================================================================
FAIL: test_patch (descartes.tests.JSONMultiPolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 77, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 330)
AssertionError: False is not true

======================================================================
FAIL: test_patch (descartes.tests.JSONPolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 31, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 198)
AssertionError: False is not true

======================================================================
FAIL: test_patch (descartes.tests.MultiPolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 62, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 330)
AssertionError: False is not true

======================================================================
FAIL: test_patch (descartes.tests.PolygonTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/descartes-1.1.0/descartes/tests.py", line 17, in test_patch
    self.failUnless(len(path.vertices) == len(path.codes) == 198)
AssertionError: False is not true

----------------------------------------------------------------------
Ran 6 tests in 0.008s

FAILED (failures=6)
Test failed: <unittest.runner.TextTestResult run=6 errors=0 failures=6>
error: Test failed: <unittest.runner.TextTestResult run=6 errors=0 failures=6>

Comment 1 Fedora Release Engineering 2020-12-27 04:22:27 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-08).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Fedora Release Engineering 2021-01-03 04:22:23 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-08).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 3 Elliott Sales de Andrade 2021-01-22 11:08:21 UTC
Upstream is dead; I will likely retire this as soon as the next geopandas is released, which removes the dependency.

Comment 4 Ben Cotton 2021-02-09 15:34:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.